#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat Feb  2 15:53:21 2019

@author: htv

Seuraavat kutsut pelin pääohjelmaan
Kömpelöä, valitan

esittelyt = ClGraph()

esittelyt.gametitle("pelin nimi")

esittelyt.tekstit(color, [
    ("teksti 1", (x1-paikka, y1-paikka)),
    ("teksti 2", (x2-paikka, y2-paikka)),
    ("teksti n", (xn-paikka, yn-paikka))])

# tekstin koordinaatit välillä [0, 1]

pelisilmukkaan:
    esittelyt.blitTekstit(screen)
"""
import pygame


class ClGraph:
    def __init__(self, Caption):
        self.font_peli = pygame.font.SysFont('robotoslab', 22)
        self.TekstiLaatikot = []
        self.D_Info = pygame.display.Info()
        self.Wxnaytto = self.D_Info.current_w
        self.Wynaytto = self.D_Info.current_h
        pygame.display.set_caption(Caption)

    def tekstit(self, color, ohjeet):
        self.TekstiLaatikot = []
        for ohje in ohjeet:
            (teksti, (px, py)) = ohje
            rend_ohje = self.font_peli.render(teksti, True, color)
            ix = int(px * self.Wxnaytto)
            iy = int(py * self.Wynaytto)
            self.TekstiLaatikot.append((rend_ohje, (ix, iy)))

    def blitTekstit(self, screen):
        for laatikko in self.TekstiLaatikot:
            (teksti, paikka) = laatikko
            screen.blit(teksti, paikka)

